import ajax from '../util/ajax'
import api from '../util/api'

export default {
  namespaced: true,
  state: {
    activity: {},
  },
  mutations: {
    updateActivity (state, data) {
      state.activity = data || {}
    },
  },
  actions: {
    getActivity (context, {actid}) {
      return new Promise((resolve, reject) => {
        ajax({
          ...api.getactivity,
          urlData: {
            actid: actid,
          }
        }).then((res) => {
          context.commit('updateActivity', res)
          resolve(res)
        }).catch(reject)
      })
    },
  }
}
